#include<bits/stdc++.h>
using namespace std;

const int maxn=100003;
int n, x[maxn], y[maxn];
unsigned long long ans=0;

int f(int x1, int y1, int x2, int y2){
    if(x1==x2){
        return (y1-y2)*(y1-y2);
    }
    if(y1==y2){
        return (x1-x2)*(x1-x2);
    }
    int d_x=x1-x2, d_y=y1-y2;
    return (d_x*d_x)+(d_y*d_y);
}

int main(){
ios_base::sync_with_stdio(false);
cin.tie(NULL);

cin>>n;
for(int i=0; i<n; i++){
    cin>>x[i]>>y[i];
    x[i]+=10000;
    y[i]+=10000;
}
for(int i=0; i<n; i++){
    for(int j=i+1; j<n; j++){
        ans+=f(x[i], y[i], x[j], y[j]);
    }
}
cout<<ans<<endl;


return 0;
}
